Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface IID

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AAccessor, AAct, AAll, AAny, ABuild, ABuildGeography, ABuildGrid, ABuildNetwork, ABuildProjection, ABuildSpace, ACause, ACommand, AConnect, AControl, ACreateAgents, ACreateShapedAgents, ADerive, ADie, ADiffuse, ADisconnect, AEvaluate, AGroup, AInitialize, ALeave, ALiteral, ALoadAgents, ALoadShapedAgents, ALogic, AMethod, AMove, AMultiValue, ANetwork, ANone, AOrdering, APerform, AQuery, AReplace, ARoot, ARule, ASchedule, ASelect, ASet, ASink, ATest, ATransform, AWatch, FArgumentArrayPrototype, FArgumentPrototype, FFunction, FGeneric, FGenericFunction, FGenericLogical, FImplementedLibrary, FLibrary, FLiteral, FLogical, FLogicalOperator, FMultiArgumentPrototype, FOperator, IAct, IArtifact, IAttributeClient, ITyped, ITypedArray, IValue, SActable, SAgent, SAttribute, SAttributeArray, SAttributed, SContext, SContinuousSpace, SGeography, SGrid, SImplemented, SImport, SNamed, SNDimensional, SNetwork, SProjection, SState, SStateValue, SStyle, SStyle2D, SStyle3D, SStyleShape, SValueLayer

All Known Implementing Classes:
  AAccessorImpl, AActImpl, AAllImpl, AAnyImpl, ABuildGeographyImpl, ABuildGridImpl, ABuildImpl, ABuildNetworkImpl, ABuildProjectionImpl, ABuildSpaceImpl, ACauseImpl, ACommandImpl, AConnectImpl, ACreateAgentsImpl, ACreateShapedAgentsImpl, ADeriveImpl, ADieImpl, ADiffuseImpl, ADisconnectImpl, AEvaluateImpl, AGroupImpl, AInitializeImpl, ALeaveImpl, ALiteralImpl, ALoadAgentsImpl, ALoadShapedAgentsImpl, ALogicImpl, AMethodImpl, AMoveImpl, AMultiValueImpl, ANetworkImpl, ANoneImpl, APerformImpl, AQueryImpl, AReplaceImpl, ARuleImpl, AScheduleImpl, ASelectImpl, ASetImpl, ASinkImpl, ATransformImpl, AWatchImpl, FArgumentArrayPrototypeImpl, FArgumentPrototypeImpl, FFunctionImpl, FGenericFunctionImpl, FGenericImpl, FGenericLogicalImpl, FImplementedLibraryImpl, FLibraryImpl, FLogicalOperatorImpl, FMultiArgumentPrototypeImpl, FOperatorImpl, IIDImpl, SActableImpl, SAgentImpl, SAttributeArrayImpl, SAttributedImpl, SAttributeImpl, SContextImpl, SContinuousSpaceImpl, SGeographyImpl, SGridImpl, SImplementedImpl, SNamedImpl, SNDimensionalImpl, SNetworkImpl, SProjectionImpl, SStateImpl, SStateValueImpl, SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl, SValueLayerImpl

    public interface IID

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' IID'.

Author:
  Miles Parker

  The following features are supported:

  - `Label`
  - `ID`
See Also:
  `MetaABMPackage.getIID()`

Method Summary
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLabel

    java.lang.String getLabel()

  Returns the value of the 'Label' attribute.

  If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label' attribute.
  See Also:
    `setLabel(String)`, `MetaABMPackage.getIID_Label()`

### setLabel

    void setLabel(java.lang.String value)

  Sets the value of the '`Label`' attribute.

  Parameters:
    `value` - the new value of the 'Label' attribute.
  See Also:
    `getLabel()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `MetaABMPackage.getIID_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD